Bareos Bug Tracker
Bareos Bug Tracker

View Issue Details Jump to Notes ] Related Changesets ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0000381bareos-core[All Projects] storage daemonpublic2014-12-22 12:062015-03-25 19:19
Reporterpstorz 
Assigned To 
PrioritynormalSeverityminorReproducibilityalways
StatusclosedResolutionfixed 
PlatformLinuxOSanyOS Version3
Product Version14.2.2 
Target Version14.2.2Fixed in Version14.2.2 
Summary0000381: btape tests fail on blocksizes > 256k
Descriptionbtape test fail on blocksizes > 256k
Steps To Reproduceconfigure a blocksize of 1M and run btape test.

Block 3617 always fails
Additional Informationbtape: btape.c:1165-0 Wrote 10000 blocks of 1048476 bytes.
btape: btape.c:612-0 Wrote 1 EOF to "triky_cinta.de" (/dev/st0)
btape: btape.c:1181-0 Wrote 10000 blocks of 1048476 bytes.
btape: btape.c:612-0 Wrote 1 EOF to "triky_cinta.de" (/dev/st0)
btape: btape.c:1223-0 Rewind OK.
Got EOF on tape.
btape: btape.c:1241-0 Read block 3617 failed! ERR=Conseguido


Obviously there is an overflow when calculating the maximum file size, which leads to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.
TagsNo tags attached.
bareos-master: impactyes
bareos-master: actionfixed
bareos-18.2: impact
bareos-18.2: action
bareos-17.2: impact
bareos-17.2: action
bareos-16.2: impact
bareos-16.2: action
bareos-15.2: impact
bareos-15.2: action
bareos-14.2: impactyes
bareos-14.2: actionfixed
bareos-13.2: impactno
bareos-13.2: action
bareos-12.4: impactno
bareos-12.4: action
Attached Files

- Relationships

-  Notes
(0001146)
pstorz (administrator)
2014-12-22 13:04

Fix committed to bareos master branch with changesetid 2584.
(0001161)
mvwieringen (developer)
2014-12-24 14:21

Fix committed to bareos bareos-14.2 branch with changesetid 2596.
(0001174)
mvwieringen (developer)
2015-01-08 14:01

Fix committed to bareos Release branch with changesetid 2613.
(0001405)
mvwieringen (developer)
2015-03-25 16:51

Fix committed to bareos2015 bareos-14.2 branch with changesetid 4493.
(0001647)
joergs (administrator)
2015-03-25 19:19

Due to the reimport of the Github repository to bugs.bareos.org, the status of some tickets have been changed. These tickets will be closed again.
Sorry for the noise.

- Related Changesets
bareos: master f9305b56
Timestamp: 2014-12-22 11:08:21
Author: pstorz
Ported: N/A
Details ] Diff ]
Fix btape bug with big blocksizes

there is an overflow when calculating the maximum file size, which leads
to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.

This fix corrects this overflow.

We also set a higher debug level on the block writings in block.c

Fixes 0000381: btape tests fail on blocksizes > 256k
mod - src/stored/block.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
bareos: bareos-14.2 93369680
Timestamp: 2014-12-22 11:08:21
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Fix btape bug with big blocksizes

there is an overflow when calculating the maximum file size, which leads
to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.

This fix corrects this overflow.

We also set a higher debug level on the block writings in block.c

Fixes 0000381: btape tests fail on blocksizes > 256k
mod - src/stored/block.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]
bareos: Release 97762490
Timestamp: 2014-12-22 12:08:21
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Fix btape bug with big blocksizes

there is an overflow when calculating the maximum file size, which leads
to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.

This fix corrects this overflow.

We also set a higher debug level on the block writings in block.c

Fixes 0000381: btape tests fail on blocksizes > 256k
mod - src/stored/btape.c Diff ] File ]
bareos2015: bareos-13.2 e09325d2
Timestamp: 2014-12-22 12:08:21
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Fix btape bug with big blocksizes

there is an overflow when calculating the maximum file size, which leads
to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.

This fix corrects this overflow.

We also set a higher debug level on the block writings in block.c

Fixes 0000381: btape tests fail on blocksizes > 256k
mod - src/stored/btape.c Diff ] File ]
bareos2015: bareos-14.2 b5339403
Timestamp: 2014-12-22 12:08:21
Author: pstorz
Committer: mvwieringen
Ported: N/A
Details ] Diff ]
Fix btape bug with big blocksizes

there is an overflow when calculating the maximum file size, which leads
to a eof being written to the tape where btape does not expect it.

Then during the read of the data the unexpected eof lets the test fail.

This fix corrects this overflow.

We also set a higher debug level on the block writings in block.c

Fixes 0000381: btape tests fail on blocksizes > 256k
mod - src/stored/block.c Diff ] File ]
mod - src/stored/btape.c Diff ] File ]

- Issue History
Date Modified Username Field Change
2014-12-22 12:06 pstorz New Issue
2014-12-22 12:06 pstorz Status new => assigned
2014-12-22 12:06 pstorz Assigned To => pstorz
2014-12-22 13:04 pstorz Changeset attached => bareos master f9305b56
2014-12-22 13:04 pstorz Note Added: 0001146
2014-12-22 13:04 pstorz Status assigned => resolved
2014-12-22 13:04 pstorz Resolution open => fixed
2014-12-24 14:21 mvwieringen Changeset attached => bareos bareos-14.2 93369680
2014-12-24 14:21 mvwieringen Note Added: 0001161
2014-12-24 14:21 mvwieringen Assigned To pstorz => mvwieringen
2015-01-08 14:01 mvwieringen Changeset attached => bareos Release 97762490
2015-01-08 14:01 mvwieringen Note Added: 0001174
2015-01-26 15:59 mvwieringen adm Assigned To mvwieringen =>
2015-01-26 15:59 mvwieringen adm Additional Information Updated View Revisions
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-13.2 e09325d2
2015-03-25 16:51 mvwieringen Changeset attached => bareos2015 bareos-14.2 b5339403
2015-03-25 16:51 mvwieringen Note Added: 0001405
2015-03-25 19:05 joergs bareos-master: impact => yes
2015-03-25 19:05 joergs bareos-master: action => fixed
2015-03-25 19:05 joergs bareos-14.2: impact => yes
2015-03-25 19:05 joergs bareos-14.2: action => fixed
2015-03-25 19:05 joergs bareos-13.2: impact => no
2015-03-25 19:05 joergs bareos-12.4: impact => no
2015-03-25 19:05 joergs Fixed in Version => 14.2.2
2015-03-25 19:19 joergs Note Added: 0001647
2015-03-25 19:19 joergs Status resolved => closed


Copyright © 2000 - 2018 MantisBT Team
Powered by Mantis Bugtracker